/*navbar style*/
body {

  margin: 0%;
  padding: 0%;
  background: #111727;


}

.topnav {
  display: flex;
  background: transparent;
  overflow: hidden;
  position: fixed;
  z-index: 1;




}

.hamburger span {
  display: block;
  width: 35px;
  height: 2px;
  background-color: #fff;
  margin: 5px 0;
  transition: 0.2s;
  padding: 0px;
}

.topnav a {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 22px;
  text-decoration: none;
  font-size: 20px;
}

.topnav a:hover {
  color: rgb(184, 150, 106);
  border-radius: 5px;
  box-shadow: 0px 3px 4px rgb(184, 150,
      106);
  cursor: pointer;
  transition: all 0.5s;

  padding: 0px 18px;
}

.topnav .icon:hover {
  background: transparent;
  color: #fff;
}

.topnav .icon {
  display: none;
}

/* Add media queries for responsiveness */
@media screen and (max-width: 600px) {
  .topnav a:not(:first-child) {
    display: none;
    margin: 0px;
    padding: 9px 18px;
    z-index: 999999999;
  }

  #map {
    z-index: 0;
  }


  .topnav a.icon {
    float: right;
    display: block;
    margin: 0%;
    padding-left: 40px;

  }

  .topnav {
    width: 100%;
    justify-content: space-between;
    z-index: 1;
  }
}

.topnav.responsive a {
  display: block;
}

.topnav.responsive {
  display: flex;
  flex-direction: column-reverse;
  position: fixed;
  width: 30%;
  z-index: 1;
  background-color: black;
  margin-left: 70%;



}

.main-container {
  display: flex;
  flex-direction: column;
  color: #f2f2f2;
  background-color: rgb(8, 8, 8);
  z-index: 0;
  padding-top: 60px;
  position: relative;
  height: 700px;
}

.header-image {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  opacity: 0.6;

}



h1 {
  font-size: 35px;
  font-weight: 500;
  font-family: 'Roboto', sans-serif;
  padding-left: 20px;
}

p {
  font-size: 20px;
  font-weight: 400;
  font-family: 'Roboto', sans-serif;
  padding-left: 20px;
  margin-bottom: 0;

}

.middle {
  padding-top: 80px;
  padding-left: 10%;

  padding-bottom: 60px;

}

.middle a {
  color: #f2f2f2;
  text-decoration: none;
  font-size: 20px;
  margin: 0%;
  padding: 0px;


}

.middle h1 {
  font-size: 45px;
  font-weight: 600;
  margin-bottom: 0%;
  padding: 0%;
}

.randompara p {
  font-size: 20px;
  font-weight: 400;
  font-family: 'Roboto', sans-serif;
  padding-left: 8px;
  margin-top: 8px;
  max-width: 500px;
}

@media screen and (max-width: 600px) {
  .main-container {
    max-height: 400px;
  }

  .middle {
    padding-top: 60px;
    padding-left: 8px;
  }

  .middle h1 {
    font-size: 45px;
    font-weight: 400;
  }

  .randompara p {
    font-size: 15px;
    font-weight: 400;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    padding: 0px;
  }
}

.start-btn {
  background-color: #f2f2f2;
  padding: 10px 20px;
  border-radius: 15px;
  margin: 30px;
  font-size: 20px;
  font-weight: 600;
  font-family: 'Roboto', sans-serif;
  cursor: pointer;
  transition: 0.3s;

}

.start-btn:hover {
  color: rgb(184, 150, 106);
  box-shadow: 0px 3px 4px rgb(184, 150,
      106);
  background: transparent;
  transition: all 0.5s;


}

.information {
  display: flex;
  flex-direction: column;
  margin-top: 20px;
  margin-bottom: 20px;
  font-family: sans-serif;
  color: #fff;

}

.information p {
  display: flex;
  flex-direction: column;
  margin-top: 20px;
  margin-bottom: 20px;
  color: #ffffffc4;
  font-family: sans-serif;

}

.grid-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-top: 8px;
  padding: 12px;

}

.grid-item {
  display: flex;
  flex-direction: column;
  align-items: center;

  margin: 20px;

}

.grid-item a {
  text-decoration: none;
  color: #636876;
  margin: 0px;
  padding: 0px;
  cursor: pointer;
  margin-bottom: 8px;
  border-radius: 10px;

}

.grid-image {
  width: 100%;
  height: 100%;
  opacity: .6;
  box-shadow: 0px 3px 4px rgb(184, 150, 106);
  padding: 0px;
  margin: 0px;
  max-width: fit-content;
  border-radius: 10px;
}

.grid-item a:hover {
  color: rgb(184, 150, 106);
  border-radius: 5px;
  background-color: #f7f7f748;

  cursor: pointer;
  transition: all 0.5s;
  margin: 0px;

}


@media screen and (max-width: 600px) {
  .grid-container {
    display: grid;
    grid-template-columns: 1fr;
    margin-top: 8px;
    padding: 12px;

  }
}

/* for footer */
.footer {
  background-color: transparent;
  padding: 20px;
  margin-top: 20px;
  border-radius: 10px;
  display: flex;
  gap: 20px;
  background: #3f3f62;
  color: #d7d2d2c4;
}

.our-facility {
  max-width: 50%;
  border-radius: 30px;
  padding: 10px;
  padding-left: 20px;

}

.our-facility p {
  font-size: 13px;
  font-weight: 400;
}

.feedback {
  padding-left: 20px;
  width: 100%;
}

table {
  width: 80%;
}

.feedback input {
  padding: 4px;
  border: none;
  border-radius: 10px;
  width: 100%;
  font-size: 14px;
  margin-bottom: 8px;
  box-shadow: 0px 3px 4px rgb(184, 150,
      106);
}

.feedback button {
  padding: 5px 40px;
  border: none;
  border-radius: 10px;
  font-size: 20px;
  color: #fff;
  cursor: pointer;
  background: #111727;
  margin-bottom: 0%;
}

.feedback button:hover {
  background: #3f3f62;
  color: rgb(184, 150, 106);
  border-radius: 5px;
  box-shadow: 0px 3px 4px rgb(184, 150,
      106);
  cursor: pointer;
  transition: all 0.5s;
  margin: 0px;
  padding: 0px 18px;
}

.visit-us {
  width: 100%;
  padding-left: 20px;
}


.social {
  display: flex;
  gap: 13px;
  margin-top: 0px;
  justify-content: center;
  align-items: center;
  padding: 10px;
}

.social .icons {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: #9f9fb4;
  display: flex;
  justify-content: center;
  align-items: center;
}

.social .icons:hover {
  background: blue;
}

.social .icons svg {
  width: 20px;
  height: 20px;
  padding: 0px;
  margin: 0px;
}

.social .icons svg:hover {
  color: #fff;
}

footer {
  color: #111727;
  background: #FFF;
}

@media screen and (max-width: 600px) {
  .footer {
    flex-direction: column;

  }

  .our-facility {
    max-width: 100%;
  }

  footer {
    text-align: center;
    font-size: 14px;
  }

}